// TrendDoc.cpp : implementation file
//
// Trend Display ver 1.0
//
// Written by Majid Shahabfar (shahabfar@safineh.net)
//
// This code may be used in compiled form in any way you desire. This
// file may be redistributed unmodified by any means PROVIDING it is 
// not sold for profit without the authors written consent, and 
// providing that this notice and the authors name is included.
//
// This file is provided with no expressed or implied warranty.
// The author accepts no responsibility if it causes any damage to your
// computer.
//
// Please use and enjoy and let me know of any bugs/improvements 
// that you have found/implemented and I will fix/incorporate them into this
// code. 
//
// An email letting me know how you are using it would be nice as well.
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "TrendDoc.h"


// CTrendDoc

IMPLEMENT_DYNCREATE(CTrendDoc, CDocument)

CTrendDoc::CTrendDoc()
{
	m_pPoint = new POINTDATA[6];
	m_noOfPoint = 6;

	/////////////////////////////
	strcpy(m_pPoint[0].Name,"Signal name");
	strcpy(m_pPoint[0].Dsc,"Signal description");
	m_pPoint[0].Min   = 0;
	m_pPoint[0].Max   = 100;
	m_pPoint[0].Range = m_pPoint[0].Max - m_pPoint[0].Min;
	m_pPoint[0].Type  = 4;
	m_pPoint[0].Ind   = 1;
	m_pPoint[0].Val   = 0;
	m_pPoint[0].Color = RGB(128,128,0);
	strcpy(m_pPoint[0].UNI,"Voltage");
	strcpy(m_pPoint[0].FOR,"%6.3f");

	strcpy(m_pPoint[1].Name,"Signal name");
	strcpy(m_pPoint[1].Dsc,"Signal description");
	m_pPoint[1].Min   = 0;
	m_pPoint[1].Max   = 80;
	m_pPoint[1].Range = m_pPoint[1].Max - m_pPoint[1].Min;
	m_pPoint[1].Type  = 4;
	m_pPoint[1].Ind   = 1;
	m_pPoint[1].Val   = 0;
	m_pPoint[1].Color = RGB(83,169,255);
	strcpy(m_pPoint[1].UNI,"Voltage");
	strcpy(m_pPoint[1].FOR,"%6.3f");

	strcpy(m_pPoint[2].Name,"Signal name");
	strcpy(m_pPoint[2].Dsc,"Signal description");
	m_pPoint[2].Min   = 0;
	m_pPoint[2].Max   = 60;
	m_pPoint[2].Range = m_pPoint[2].Max - m_pPoint[2].Min;
	m_pPoint[2].Type  = 4;
	m_pPoint[2].Ind   = 1;
	m_pPoint[2].Val   = 0;
	m_pPoint[2].Color = RGB(255,128,0);
	strcpy(m_pPoint[2].UNI,"Voltage");
	strcpy(m_pPoint[2].FOR,"%6.3f");

	strcpy(m_pPoint[3].Name,"Signal name");
	strcpy(m_pPoint[3].Dsc,"Signal description");
	m_pPoint[3].Min   = 0;
	m_pPoint[3].Max   = 50;
	m_pPoint[3].Range = m_pPoint[3].Max - m_pPoint[3].Min;
	m_pPoint[3].Type  = 4;
	m_pPoint[3].Ind   = 1;
	m_pPoint[3].Val   = 0;
	m_pPoint[3].Color = RGB(0,255,0);
	strcpy(m_pPoint[3].UNI,"Voltage");
	strcpy(m_pPoint[3].FOR,"%6.3f");

	strcpy(m_pPoint[4].Name,"Signal name");
	strcpy(m_pPoint[4].Dsc,"Signal description");
	m_pPoint[4].Min   = 20;
	m_pPoint[4].Max   = 40;
	m_pPoint[4].Range = m_pPoint[4].Max - m_pPoint[4].Min;
	m_pPoint[4].Type  = 4;
	m_pPoint[4].Ind   = 1;
	m_pPoint[4].Val   = 0;
	m_pPoint[4].Color = RGB(255,128,128);
	strcpy(m_pPoint[4].UNI,"Voltage");
	strcpy(m_pPoint[4].FOR,"%6.3f");

	strcpy(m_pPoint[5].Name,"Signal name");
	strcpy(m_pPoint[5].Dsc,"Signal description");
	m_pPoint[5].Min   = 0;
	m_pPoint[5].Max   = 30;
	m_pPoint[5].Range = m_pPoint[5].Max - m_pPoint[5].Min;
	m_pPoint[5].Type  = 4;
	m_pPoint[5].Ind   = 1;
	m_pPoint[5].Val   = 0;
	m_pPoint[5].Color = RGB(130,130,130);
	strcpy(m_pPoint[5].UNI,"Voltage");
	strcpy(m_pPoint[5].FOR,"%6.3f");
	/////////////////////////////
}

BOOL CTrendDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;
	return TRUE;
}

CTrendDoc::~CTrendDoc()
{
	m_pPoint[0].BufferedValue.RemoveAll();
}


BEGIN_MESSAGE_MAP(CTrendDoc, CDocument)
END_MESSAGE_MAP()


// CTrendDoc diagnostics

#ifdef _DEBUG
void CTrendDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CTrendDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG


void CTrendDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
	}
	else
	{
	}
}
